# Enum Class TreeBuilderFactory.ConsensusMethod

java.lang.Object
java.lang.Enum<TreeBuilderFactory.ConsensusMethod>
jebl.evolution.trees.TreeBuilderFactory.ConsensusMethod

All Implemented Interfaces:
  `Serializable, Comparable<TreeBuilderFactory.ConsensusMethod>, Constable`

Enclosing class:
  `TreeBuilderFactory`

public static enum TreeBuilderFactory.ConsensusMethod extends Enum<TreeBuilderFactory.ConsensusMethod>
Supported consensus methods.

Version:
  $Id: TreeBuilderFactory.java 853 2007-12-07 07:32:42Z twobeers $
Author:
  Joseph Heled

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`GREEDY`
`MRCAC`

## Method Summary

Modifier and Type
Method
Description
`static TreeBuilderFactory.ConsensusMethod`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TreeBuilderFactory.ConsensusMethod[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GREEDY

public static final TreeBuilderFactory.ConsensusMethod GREEDY

### MRCAC

public static final TreeBuilderFactory.ConsensusMethod MRCAC

## Method Details

### values

public static TreeBuilderFactory.ConsensusMethod[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TreeBuilderFactory.ConsensusMethod valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null